from django.urls import path
from .views import (
    ChartDataByMonth,
    AnalyticsData,
    monthly_report,
    weekly_report
)

urlpatterns = [
    path('', AnalyticsData.as_view(), name='analytics'),
    path('analytic-data/', ChartDataByMonth.as_view()),
    path('monthly-report/<location_id>', monthly_report),
    path('weekly-report/<location_id>', weekly_report),
]
