import spacy
from .base import *
try:
    SPACY_NER_MODEL = spacy.load('en_core_web_sm')
    print('\033[92mSpacy model small size has loaded!\033[0m')
except OSError:
    print('\033[93mNo spacy model has found. Please install a small sized spacy model.\033[0m')

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = []

WSGI_APPLICATION = 'review_automation.wsgi.dev.application'

# Database

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'review_automation',
        'USER': 'root',
        'PASSWORD': 'sad2002S1',
        'HOST': 'localhost',
        'PORT': '3306',
    }
}

# Host URLS

HOST_URI = "http://127.0.0.1:8000"
NLU_SERVER_URI = 'http://localhost:1996'
