import spacy
from .base import *

try:
    SPACY_NER_MODEL = spacy.load('en_core_web_lg')
    print('\033[93mSpacy model large size has loaded!\033[0m')
except OSError:
    print('\033[93mNo spacy model has found. Please install a large sized spacy model.\033[0m')

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

ALLOWED_HOSTS = ['10.0.0.36', 'bytetrek.com', 'localhost']

WSGI_APPLICATION = 'review_automation.wsgi.prod.application'

# Database

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'bt_review_bot',
        'USER': 'root',
        'PASSWORD': 'sad2002S1',
        'HOST': 'localhost',
        'PORT': '3306',
    }
}

# Password validation

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

# Host URLS

HOST_URI = "http://10.0.0.36:5005"
NLU_SERVER_URI = 'http://localhost:1996'
