from django.db import models
from django.contrib.auth.models import User
from gauth.models import Location


class UserAccount(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    location = models.OneToOneField(Location, on_delete=models.CASCADE)

    def __str__(self):
        return f'<UserAccount> -- {self.user}'
